MQQueueManager (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQQueueManager interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQQueueManager

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, java.io.Serializable

All Known Subinterfaces:
  MQSubsystem

    public interface MQQueueManager

extends AppServer, MQBase

The queue manager object

Naming Rules:
  0="installation,name"
Persistable:
  true
Table Name:
  APPSMQ
Top Level:
  true
Display Name:
  host,name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`RUNNING, STOPPED`

Method Summary
`MQAuthInfo[]` | `getAuthInfo()`
`MQBufferPool[]` | `getBufferPool()`
`boolean` | `getChannelAutoDefinition()` CHAD Whether auto-definition of receiver and server-connection channels is enabled.
`MQChannel[]` | `getChannels()`
`MQCluster[]` | `getClusters()`
`java.lang.String` | `getClusterWorkloadUseQueue()` CLWLUSEQ This queue attribute specifies the behavior of an MQPUT operation when the target queue has a local instance and at least one remote cluster instance (except where the MQPUT originates from a cluster channel).
`java.lang.String` | `getDataPath()` This attribute specifies the path to the qmgrs directory, within which the queue manager data is kept.
`java.lang.String` | `getDeadLetterQueue()` Dead letter (undelivered message) queue name (parameter identifier: MQCA_DEAD_LETTER_Q_NAME).
`boolean` | `getDefautlQueue()` Is the Queue Manager the default Queue Manager?
`MQApiExitLocal[]` | `getExitLocal()`
`java.lang.String` | `getExitsDefaultPath()` ExitsDefaultPath=string The ExitsDefaultPath attribute specifies the location of: - 32-bit channel exits for clients - 32-bit channel exits and data conversion exits for servers - Unqualified XA switch load files
`java.lang.String` | `getExitsDefaultPath64()` ExitsDefaultPath64=string The ExitsDefaultPath64 attribute specifies the location of: - 64-bit channel exits for clients - 64-bit channel exits and data conversion exits for servers - Unqualified XA switch load files
`MQInstallation` | `getInstallation()`
`MQListener[]` | `getListeners()`
`java.lang.String` | `getLogDefaultPath()` LogPath=directory_name The directory in which the log files for a queue manager reside.
`int` | `getLogWriteIntegrity()` The method the logger uses to reliably write log records.
`long` | `getMaxMessageLength()` MAXMSGL The maximum message length that can be handled by the queue manager.
`MQInstallableService[]` | `getMqinstallableservice()`
`MQReceiverChannel[]` | `getMqreceiverchannel()`
`MQSenderChannel[]` | `getMqsenderchannel()`
`MQNameList[]` | `getNameList()`
`MQPageSet[]` | `getPageSet()`
`MQProcess[]` | `getProcess()`
`java.lang.String` | `getQueueManagerIdentifier()` Queue manager identifier (parameter identifier: MQCA_Q_MGR_IDENTIFIER).
`int` | `getQueueManagerStatus()`
`MQQueue[]` | `getQueues()`
`java.lang.String` | `getRepository()` Repository name (parameter identifier: MQCA_REPOSITORY_NAME).
`java.lang.String` | `getRepositoryNameList()` Repository name list (parameter identifier: MQCA_REPOSITORY_NAMELIST).
`java.lang.String` | `getRepositoryType()` An MQQueueManager may have a full or a partial Repository.
`MQService[]` | `getService()`
`java.lang.String` | `getSSLKeyRepository()` SSL key repository (parameter identifier: MQCA_SSL_KEY_REPOSITORY).
`boolean` | `getStartChannelInitiator()` SCHINIT Whether the channel initiator is to be started automatically when the queue manager starts.
`boolean` | `getStartCommandServer()` SCMDSERV Whether the command server is to be started automatically when the queue manager starts.
`MQStorageClass[]` | `getStorageClass()`
`long` | `getTriggerInterval()` Trigger interval (parameter identifier: MQIA_TRIGGER_INTERVAL).
`boolean` | `hasAuthInfo()`
`boolean` | `hasBufferPool()`
`boolean` | `hasChannelAutoDefinition()`
`boolean` | `hasChannels()`
`boolean` | `hasClusters()`
`boolean` | `hasClusterWorkloadUseQueue()`
`boolean` | `hasDataPath()`
`boolean` | `hasDeadLetterQueue()`
`boolean` | `hasDefautlQueue()`
`boolean` | `hasExitLocal()`
`boolean` | `hasExitsDefaultPath()`
`boolean` | `hasExitsDefaultPath64()`
`boolean` | `hasInstallation()`
`boolean` | `hasListeners()`
`boolean` | `hasLogDefaultPath()`
`boolean` | `hasLogWriteIntegrity()`
`boolean` | `hasMaxMessageLength()`
`boolean` | `hasMqinstallableservice()`
`boolean` | `hasMqreceiverchannel()`
`boolean` | `hasMqsenderchannel()`
`boolean` | `hasNameList()`
`boolean` | `hasPageSet()`
`boolean` | `hasProcess()`
`boolean` | `hasQueueManagerIdentifier()`
`boolean` | `hasQueueManagerStatus()`
`boolean` | `hasQueues()`
`boolean` | `hasRepository()`
`boolean` | `hasRepositoryNameList()`
`boolean` | `hasRepositoryType()`
`boolean` | `hasService()`
`boolean` | `hasSSLKeyRepository()`
`boolean` | `hasStartChannelInitiator()`
`boolean` | `hasStartCommandServer()`
`boolean` | `hasStorageClass()`
`boolean` | `hasTriggerInterval()`
`void` | `setAuthInfo(MQAuthInfo[] x)`
`void` | `setBufferPool(MQBufferPool[] x)`
`void` | `setChannelAutoDefinition(boolean x)`
`void` | `setChannels(MQChannel[] x)`
`void` | `setClusters(MQCluster[] x)`
`void` | `setClusterWorkloadUseQueue(java.lang.String x)`
`void` | `setDataPath(java.lang.String x)`
`void` | `setDeadLetterQueue(java.lang.String x)`
`void` | `setDefautlQueue(boolean x)`
`void` | `setExitLocal(MQApiExitLocal[] x)`
`void` | `setExitsDefaultPath(java.lang.String x)`
`void` | `setExitsDefaultPath64(java.lang.String x)`
`void` | `setInstallation(MQInstallation x)`
`void` | `setListeners(MQListener[] x)`
`void` | `setLogDefaultPath(java.lang.String x)`
`void` | `setLogWriteIntegrity(int x)`
`void` | `setMaxMessageLength(long x)`
`void` | `setMqinstallableservice(MQInstallableService[] x)`
`void` | `setMqreceiverchannel(MQReceiverChannel[] x)`
`void` | `setMqsenderchannel(MQSenderChannel[] x)`
`void` | `setNameList(MQNameList[] x)`
`void` | `setPageSet(MQPageSet[] x)`
`void` | `setProcess(MQProcess[] x)`
`void` | `setQueueManagerIdentifier(java.lang.String x)`
`void` | `setQueueManagerStatus(int x)`
`void` | `setQueues(MQQueue[] x)`
`void` | `setRepository(java.lang.String x)`
`void` | `setRepositoryNameList(java.lang.String x)`
`void` | `setRepositoryType(java.lang.String x)`
`void` | `setService(MQService[] x)`
`void` | `setSSLKeyRepository(java.lang.String x)`
`void` | `setStartChannelInitiator(boolean x)`
`void` | `setStartCommandServer(boolean x)`
`void` | `setStorageClass(MQStorageClass[] x)`
`void` | `setTriggerInterval(long x)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getProcess

    MQProcess[] getProcess()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setProcess

    void setProcess(MQProcess[] x)

### hasProcess

    boolean hasProcess()

### getDeadLetterQueue

    java.lang.String getDeadLetterQueue()
                                        throws AttributeNotSetException

  Dead letter (undelivered message) queue name (parameter identifier: MQCA_DEAD_LETTER_Q_NAME). Specifies the name of the local queue that is to be used for undelivered messages. Messages are put on this queue if they cannot be routed to their correct destination. The maximum length of the string is MQ_Q_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setDeadLetterQueue

    void setDeadLetterQueue(java.lang.String x)

### hasDeadLetterQueue

    boolean hasDeadLetterQueue()

### getChannels

    MQChannel[] getChannels()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setChannels

    void setChannels(MQChannel[] x)

### hasChannels

    boolean hasChannels()

### getPageSet

    MQPageSet[] getPageSet()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setPageSet

    void setPageSet(MQPageSet[] x)

### hasPageSet

    boolean hasPageSet()

### getQueueManagerStatus

    int getQueueManagerStatus()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setQueueManagerStatus

    void setQueueManagerStatus(int x)

### hasQueueManagerStatus

    boolean hasQueueManagerStatus()

### getService

    MQService[] getService()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setService

    void setService(MQService[] x)

### hasService

    boolean hasService()

### getStorageClass

    MQStorageClass[] getStorageClass()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Accesses" reverse="false"

### setStorageClass

    void setStorageClass(MQStorageClass[] x)

### hasStorageClass

    boolean hasStorageClass()

### getDataPath

    java.lang.String getDataPath()
                                 throws AttributeNotSetException

  This attribute specifies the path to the qmgrs directory, within which the queue manager data is kept.

  Throws:
    `AttributeNotSetException`

### setDataPath

    void setDataPath(java.lang.String x)

### hasDataPath

    boolean hasDataPath()

### getExitLocal

    MQApiExitLocal[] getExitLocal()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setExitLocal

    void setExitLocal(MQApiExitLocal[] x)

### hasExitLocal

    boolean hasExitLocal()

### getRepositoryNameList

    java.lang.String getRepositoryNameList()
                                           throws AttributeNotSetException

  Repository name list (parameter identifier: MQCA_REPOSITORY_NAMELIST). The name of a list of clusters for which this queue manager is to provide a repository service.

  Throws:
    `AttributeNotSetException`

### setRepositoryNameList

    void setRepositoryNameList(java.lang.String x)

### hasRepositoryNameList

    boolean hasRepositoryNameList()

### getExitsDefaultPath64

    java.lang.String getExitsDefaultPath64()
                                           throws AttributeNotSetException

  ExitsDefaultPath64=string The ExitsDefaultPath64 attribute specifies the location of: - 64-bit channel exits for clients - 64-bit channel exits and data conversion exits for servers - Unqualified XA switch load files

  Throws:
    `AttributeNotSetException`

### setExitsDefaultPath64

    void setExitsDefaultPath64(java.lang.String x)

### hasExitsDefaultPath64

    boolean hasExitsDefaultPath64()

### getNameList

    MQNameList[] getNameList()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setNameList

    void setNameList(MQNameList[] x)

### hasNameList

    boolean hasNameList()

### getLogWriteIntegrity

    int getLogWriteIntegrity()
                             throws AttributeNotSetException

  The method the logger uses to reliably write log records.

  Throws:
    `AttributeNotSetException`

### setLogWriteIntegrity

    void setLogWriteIntegrity(int x)

### hasLogWriteIntegrity

    boolean hasLogWriteIntegrity()

### getQueues

    MQQueue[] getQueues()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="false"

### setQueues

    void setQueues(MQQueue[] x)

### hasQueues

    boolean hasQueues()

### getMqinstallableservice

    MQInstallableService[] getMqinstallableservice()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setMqinstallableservice

    void setMqinstallableservice(MQInstallableService[] x)

### hasMqinstallableservice

    boolean hasMqinstallableservice()

### getLogDefaultPath

    java.lang.String getLogDefaultPath()
                                       throws AttributeNotSetException

  LogPath=directory_name The directory in which the log files for a queue manager reside. This must exist on a local device to which the queue manager can write and, preferably, on a different drive from the message queues. Specifying a different drive gives added protection in case of system failure. The default is: - C:\Program Files\IBM\WebSphere MQ\log in WebSphere MQ for Windows. - /var/mqm/log in WebSphere MQ for UNIX systems.

  Throws:
    `AttributeNotSetException`

### setLogDefaultPath

    void setLogDefaultPath(java.lang.String x)

### hasLogDefaultPath

    boolean hasLogDefaultPath()

### getMqreceiverchannel

    MQReceiverChannel[] getMqreceiverchannel()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setMqreceiverchannel

    void setMqreceiverchannel(MQReceiverChannel[] x)

### hasMqreceiverchannel

    boolean hasMqreceiverchannel()

### getListeners

    MQListener[] getListeners()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Advertises" reverse="false"

### setListeners

    void setListeners(MQListener[] x)

### hasListeners

    boolean hasListeners()

### getAuthInfo

    MQAuthInfo[] getAuthInfo()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Authorizes" reverse="true"

### setAuthInfo

    void setAuthInfo(MQAuthInfo[] x)

### hasAuthInfo

    boolean hasAuthInfo()

### getStartCommandServer

    boolean getStartCommandServer()
                                  throws AttributeNotSetException

  SCMDSERV Whether the command server is to be started automatically when the queue manager starts. This parameter is valid only on AIX, Compaq NSK, HP OpenVMS, HP-UX, Linux, i5/OS, Solaris, and Windows.

  Throws:
    `AttributeNotSetException`

### setStartCommandServer

    void setStartCommandServer(boolean x)

### hasStartCommandServer

    boolean hasStartCommandServer()

### getBufferPool

    MQBufferPool[] getBufferPool()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setBufferPool

    void setBufferPool(MQBufferPool[] x)

### hasBufferPool

    boolean hasBufferPool()

### getInstallation

    MQInstallation getInstallation()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setInstallation

    void setInstallation(MQInstallation x)

### hasInstallation

    boolean hasInstallation()

### getClusters

    MQCluster[] getClusters()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setClusters

    void setClusters(MQCluster[] x)

### hasClusters

    boolean hasClusters()

### getMqsenderchannel

    MQSenderChannel[] getMqsenderchannel()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setMqsenderchannel

    void setMqsenderchannel(MQSenderChannel[] x)

### hasMqsenderchannel

    boolean hasMqsenderchannel()

### getRepositoryType

    java.lang.String getRepositoryType()
                                       throws AttributeNotSetException

  An MQQueueManager may have a full or a partial Repository. This attribute track the repository type.

  Throws:
    `AttributeNotSetException`

### setRepositoryType

    void setRepositoryType(java.lang.String x)

### hasRepositoryType

    boolean hasRepositoryType()

### getMaxMessageLength

    long getMaxMessageLength()
                             throws AttributeNotSetException

  MAXMSGL The maximum message length that can be handled by the queue manager. Individual queues or channels might have a smaller maximum than this.

  Throws:
    `AttributeNotSetException`

### setMaxMessageLength

    void setMaxMessageLength(long x)

### hasMaxMessageLength

    boolean hasMaxMessageLength()

### getSSLKeyRepository

    java.lang.String getSSLKeyRepository()
                                         throws AttributeNotSetException

  SSL key repository (parameter identifier: MQCA_SSL_KEY_REPOSITORY). SSL key repository (SSLKEYR)- The location of the SSL key repository for the queue manager. The maximum length of the string is MQ_SSL_KEY_REPOSITORY_LENGTH.

  Throws:
    `AttributeNotSetException`

### setSSLKeyRepository

    void setSSLKeyRepository(java.lang.String x)

### hasSSLKeyRepository

    boolean hasSSLKeyRepository()

### getChannelAutoDefinition

    boolean getChannelAutoDefinition()
                                     throws AttributeNotSetException

  CHAD Whether auto-definition of receiver and server-connection channels is enabled. This parameter is valid only on AIX, HP OpenVMS, HP-UX, Linux, i5/OS, Solaris, and Windows. Auto-definition of channels: When you use distributed queuing, a queue manager must have a definition for a sender channel before it can send a message to a remote destination. When a queue manager has joined a cluster by making its initial CLUSSDR and CLUSRCVR definitions, it does not need to make any other definitions for channels to other queue managers in the cluster. WebSphere MQ(R) automatically makes cluster-sender channel definitions when they are needed. When both the cluster-sender end and the cluster-receiver end of a channel are defined, the channel is started. An auto-defined channel remains active until it is no longer needed and is shut down using the normal disconnect-interval rules. Auto-defined cluster-sender channels take their attributes from those specified in the corresponding cluster-receiver channel definition on the receiving queue manager. Even if there is a manually-defined cluster-sender channel, its attributes are automatically modified to ensure that they match those on the corresponding cluster-receiver definition. Always be aware of this, suppose, for example that you define a CLUSRCVR without specifying a port number in the CONNAME parameter, and manually define a CLUSSDR that does specify a port number. When the auto-defined CLUSSDR replaces the manually defined one, the port number (taken from the CLUSRCVR) becomes blank. The default port number is used and the channel fails.

  Throws:
    `AttributeNotSetException`

### setChannelAutoDefinition

    void setChannelAutoDefinition(boolean x)

### hasChannelAutoDefinition

    boolean hasChannelAutoDefinition()

### getDefautlQueue

    boolean getDefautlQueue()
                            throws AttributeNotSetException

  Is the Queue Manager the default Queue Manager?

  Throws:
    `AttributeNotSetException`

### setDefautlQueue

    void setDefautlQueue(boolean x)

### hasDefautlQueue

    boolean hasDefautlQueue()

### getRepository

    java.lang.String getRepository()
                                   throws AttributeNotSetException

  Repository name (parameter identifier: MQCA_REPOSITORY_NAME). The name of a cluster for which this queue manager is to provide a repository service.

  Throws:
    `AttributeNotSetException`

### setRepository

    void setRepository(java.lang.String x)

### hasRepository

    boolean hasRepository()

### getClusterWorkloadUseQueue

    java.lang.String getClusterWorkloadUseQueue()
                                                throws AttributeNotSetException

  CLWLUSEQ This queue attribute specifies the behavior of an MQPUT operation when the target queue has a local instance and at least one remote cluster instance (except where the MQPUT originates from a cluster channel). This parameter is valid only for local queues. If you specify QMGR, the behavior is as specified by the CLWLUSEQ parameter of the queue manager definition. If you specify ANY, the queue manager treats the local queue as another instance of the cluster queue for the purposes of workload distribution. If you specify LOCAL, the local queue is the only target of the MQPUT operation.

  Throws:
    `AttributeNotSetException`

### setClusterWorkloadUseQueue

    void setClusterWorkloadUseQueue(java.lang.String x)

### hasClusterWorkloadUseQueue

    boolean hasClusterWorkloadUseQueue()

### getExitsDefaultPath

    java.lang.String getExitsDefaultPath()
                                         throws AttributeNotSetException

  ExitsDefaultPath=string The ExitsDefaultPath attribute specifies the location of: - 32-bit channel exits for clients - 32-bit channel exits and data conversion exits for servers - Unqualified XA switch load files

  Throws:
    `AttributeNotSetException`

### setExitsDefaultPath

    void setExitsDefaultPath(java.lang.String x)

### hasExitsDefaultPath

    boolean hasExitsDefaultPath()

### getQueueManagerIdentifier

    java.lang.String getQueueManagerIdentifier()
                                               throws AttributeNotSetException

  Queue manager identifier (parameter identifier: MQCA_Q_MGR_IDENTIFIER). The unique identifier of the queue manager.

  Throws:
    `AttributeNotSetException`

### setQueueManagerIdentifier

    void setQueueManagerIdentifier(java.lang.String x)

### hasQueueManagerIdentifier

    boolean hasQueueManagerIdentifier()

### getStartChannelInitiator

    boolean getStartChannelInitiator()
                                     throws AttributeNotSetException

  SCHINIT Whether the channel initiator is to be started automatically when the queue manager starts. This parameter is valid only on AIX, Compaq NSK, HP OpenVMS, HP-UX, Linux, i5/OS, Solaris, and Windows.

  Throws:
    `AttributeNotSetException`

### setStartChannelInitiator

    void setStartChannelInitiator(boolean x)

### hasStartChannelInitiator

    boolean hasStartChannelInitiator()

### getTriggerInterval

    long getTriggerInterval()
                            throws AttributeNotSetException

  Trigger interval (parameter identifier: MQIA_TRIGGER_INTERVAL). Specifies the trigger time interval, expressed in milliseconds, for use only with queues where TriggerType has a value of MQTT_FIRST.

  Throws:
    `AttributeNotSetException`

### setTriggerInterval

    void setTriggerInterval(long x)

### hasTriggerInterval

    boolean hasTriggerInterval()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD